org.keycloak.representations.idm

## Class UserFederationMapperTypeRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.UserFederationMapperTypeRepresentation

-     public class UserFederationMapperTypeRepresentation
      extends Object

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `category`
    `protected Map<String,String>` | `defaultConfig`
    `protected String` | `helpText`
    `protected String` | `id`
    `protected String` | `name`
    `protected List<ConfigPropertyRepresentation>` | `properties`
    `protected UserFederationMapperSyncConfigRepresentation` | `syncConfig`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserFederationMapperTypeRepresentation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCategory()`
    `Map<String,String>` | `getDefaultConfig()`
    `String` | `getHelpText()`
    `String` | `getId()`
    `String` | `getName()`
    `List<ConfigPropertyRepresentation>` | `getProperties()`
    `UserFederationMapperSyncConfigRepresentation` | `getSyncConfig()`
    `void` | `setCategory(String category)`
    `void` | `setDefaultConfig(Map<String,String> defaultConfig)`
    `void` | `setHelpText(String helpText)`
    `void` | `setId(String id)`
    `void` | `setName(String name)`
    `void` | `setProperties(List<ConfigPropertyRepresentation> properties)`
    `void` | `setSyncConfig(UserFederationMapperSyncConfigRepresentation syncConfig)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

    - #### name

          protected String name

    - #### category

          protected String category

    - #### helpText

          protected String helpText

    - #### syncConfig

          protected UserFederationMapperSyncConfigRepresentation syncConfig

    - #### properties

          protected List<ConfigPropertyRepresentation> properties

    - #### defaultConfig

          protected Map<String,String> defaultConfig

  - ### Constructor Detail

    - #### UserFederationMapperTypeRepresentation

          public UserFederationMapperTypeRepresentation()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getCategory

          public String getCategory()

    - #### setCategory

          public void setCategory(String category)

    - #### getHelpText

          public String getHelpText()

    - #### setHelpText

          public void setHelpText(String helpText)

    - #### getSyncConfig

          public UserFederationMapperSyncConfigRepresentation getSyncConfig()

    - #### setSyncConfig

          public void setSyncConfig(UserFederationMapperSyncConfigRepresentation syncConfig)

    - #### getProperties

          public List<ConfigPropertyRepresentation> getProperties()

    - #### setProperties

          public void setProperties(List<ConfigPropertyRepresentation> properties)

    - #### getDefaultConfig

          public Map<String,String> getDefaultConfig()

    - #### setDefaultConfig

          public void setDefaultConfig(Map<String,String> defaultConfig)

Copyright © 2016 JBoss by Red Hat. All rights reserved.